com.rscja.deviceapi.interfaces

## Interface ICardWithBYL

- All Known Implementing Classes:
    CardWithBYL, CardWithBYL_qcom

      public interface ICardWithBYL

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `cardConsumeConfirm(java.lang.String time, java.lang.String dealnum, java.lang.String cardnum)`
    `void` | `cleanFaultCard()` 清除故障卡
    `java.lang.String[]` | `Consume(float money)` 扣费
    `boolean` | `free()` 释放模块
    `java.lang.String[]` | `getBalance()` 获取余额和有效期
    `java.lang.String` | `getMessage(int code)` 将错误代码转换为语义消息
    `java.lang.String` | `getPsamCardID()` 获取psam卡id
    `boolean` | `init()` 初始化RFID和PSAM模块
    `boolean` | `isPowerOn()`

- - ### Method Detail

    - #### init

          boolean init()

      初始化RFID和PSAM模块
      Returns:
        true成功，false失败

    - #### free

          boolean free()

      释放模块
      Returns:
        true成功，false失败

    - #### getBalance

          java.lang.String[] getBalance()

      获取余额和有效期
      Returns:
        失败返回null，索引0为余额，索引1为开始日期，索引2为结束日期

    - #### Consume

          java.lang.String[] Consume(float money)

      扣费
      Parameters:
        `money` - 金额
      Returns:
        返回数组长度为1表示失败，索引0为失败消息； 数组长度为10表示成功， 索引 0：交易时间 索引 1：pos机号 索引 2：PSAM交易号 索引 3：卡号 索引 4：CPU卡交易号 索引 5：城市代码 索引 6：扣费前余额 索引 7：扣费金额 索引 8：交易类型 索引 9：TAC 10:行业代码 11:卡类型 12:有效时间 13:芯片标志 14:清算交易类型 15:卡版本 16：卡面号

    - #### getPsamCardID

          java.lang.String getPsamCardID()

      获取psam卡id
      Returns:
        成功返回psam卡id，失败返回null

    - #### cleanFaultCard

          void cleanFaultCard()

      清除故障卡

    - #### getMessage

          java.lang.String getMessage(int code)

      将错误代码转换为语义消息
      Parameters:
        `code` -
      Returns:

    - #### cardConsumeConfirm

          java.lang.String cardConsumeConfirm(java.lang.String time,
                                              java.lang.String dealnum,
                                              java.lang.String cardnum)

      Parameters:
        `time` - 时间 yyyyMMddHHmmss
        `dealnum` - 两个字节交易号
        `cardnum` - 四个字节卡号
      Returns:
        返回数据：获取数据失败返回(错误码)，获取成功返回TAC的数据

    - #### isPowerOn

          boolean isPowerOn()